class Job:
    """Contains information about a job that is queued or running.

    Attributes
    ----------
    jobID : int
        Identifier for this job (it comes from the input file)

    runTime : int
        Amount of time actually required by the job to run

    assignedMachine : int
        Which machine it is assigned

    submission : int
        Timestamp of when the job was submitted to the system

    Notes
    -----

    """
    def __init__(self, jobID, runTime,  
                 assignedMachine, submission):
        self.jobID = jobID
        self.index = jobID
        self.run = runTime
        self.fmin = runTime
        self.assignedMachine = assignedMachine
        self.submission = submission

    def __str__(self):
        """
        Function used when we try to print() an object of this
        class.
        """
        text = ('{' +
                f'{self.jobID}, ' + f'exec_time: {self.run}'
                f', submission: {self.submission}' +
                '}')
        return text
