class Set:
    """Contains information about a set.

    Attributes
    ----------
    jobs : Job list
        All jobs within the set

    counter : Int 
        Keeps the counter to show the first non-assigned job

    Notes
    -----

    """
    def __init__(self):
        self.jobs = []
        self.counter = 0

    def getJobs(self):
        return self.jobs

    def addJob(self, job):
        self.jobs.append(job)

    def resetCounter(self):
        self.counter = 0

    def increaseCounter(self):
        self.counter += 1

    def decreaseCounter(self):
        self.counter -= 1

    def __str__(self):
        """
        Function used when we try to print() an object of this
        class.
        """
        text = (' indices : {' +
                f'{[job.index for job in self.jobs]} '
                '}')
        return text
